# Schema for the configuration files of the Cookiebot module.

cookiebot.settings:
  type: config_object
  label: "Cookiebot settings"
  mapping:
    cookiebot_cbid:
      type: string
      label: "Your cookiebot Domain Group ID (CBID)."
    cookiebot_block_cookies:
      type: boolean
      label: "Automatically block all cookies."
    cookiebot_iab_enabled:
      type: boolean
      label: "Enabling IAB framework."
    cookiebot_drupal_culture:
      type: boolean
      label: "Use the current Drupal language."
    cookiebot_disable_async_loading:
      type: boolean
      label: "Disable async loading."
    cookiebot_show_declaration:
      type: boolean
      label: "Show the Cookiebot cookie declaration."
    cookiebot_show_declaration_node:
      type: string
      label: "Show the full cookie declaration on the node page with the given node ID."
    exclude_paths:
      type: string
      label: "Exclude paths."
    exclude_admin_theme:
      type: boolean
      label: "Exclude admin pages."
    exclude_uid_1:
      type: boolean
      label: "Exclude user 1."
    message_placeholder_cookieconsent_optout_marketing_show:
      type: boolean
      label: "Show placeholder message for blocked marketing elements."
    message_placeholder_cookieconsent_optout_marketing:
      type: text_format
      label: "Placebolder message for blocked marketing elements."
